IndexBase::Bin Class Reference
Collaboration diagram for IndexBase::Bin:
[legend]

## Public Member Functions

void | reset ()

## Public Attributes

uint32_t | bin
int32_t | n_chunk
Chunk * | chunks

## Static Public Attributes

static const uint32_t | NOT_USED_BIN = 0xFFFFFFFF

## Detailed Description

Definition at line 97 of file IndexBase.h.

## Constructor & Destructor Documentation

## Bin()

IndexBase::Bin::Bin | ( |  | ) |

inline

Definition at line 100 of file IndexBase.h.

{chunks = NULL; reset();}

## ~Bin()

IndexBase::Bin::~Bin | ( |  | ) |

inline

Definition at line 101 of file IndexBase.h.

{reset();}

## Member Function Documentation

## reset()

void IndexBase::Bin::reset | ( |  | ) |

inline

Definition at line 102 of file IndexBase.h.

{
if(chunks != NULL)
{
free(chunks);
chunks = NULL;
}
n_chunk = 0;
bin = NOT_USED_BIN;
}

## Member Data Documentation

## bin

uint32_t IndexBase::Bin::bin

Definition at line 112 of file IndexBase.h.

## chunks

Chunk* IndexBase::Bin::chunks

Definition at line 114 of file IndexBase.h.

## n_chunk

int32_t IndexBase::Bin::n_chunk

Definition at line 113 of file IndexBase.h.

## NOT_USED_BIN

const uint32_t IndexBase::Bin::NOT_USED_BIN = 0xFFFFFFFF

static

Definition at line 115 of file IndexBase.h.

The documentation for this class was generated from the following file:

- general/IndexBase.h